#### D.15.6.1 visualize

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  visualize(f); f of type poly.

Return:
  type string; translates the polynomial form of a finite difference scheme into an indexed one as often seen in literature

Example:

    LIB "finitediff.lib";
    list D="Ux","Ut","U";
    list P="a";
    list V="t","x";
    setinitials(V,D,P);
    scheme(u(Ut)+a*u(Ux),trapezoid(Ux,U,x),backward(Ut,U,t));
    ==> (dx)*x+(dx)
    visualize(_);
    ==> (dx)*U(0,1)+(dx)*U(0,0)

User manual for Singular version 4.4.1, 2025, generated by texi2html.